Hoppa till huvudinnehåll
POST
/
face
/
analyze
Analyze
curl --request POST \
  --url https://api.acedata.cloud/face/analyze \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "image_url": "<string>",
  "mode": 123,
  "face_model_version": "<string>",
  "need_rotate_detection": 123
}
'
{
  "image_width": 904,
  "image_height": 602,
  "face_shape_set": [
    {
      "nose": [
        {
          "x": 561,
          "y": 312
        },
        {
          "x": 559,
          "y": 250
        },
        {
          "x": 551,
          "y": 267
        },
        {
          "x": 544,
          "y": 283
        },
        {
          "x": 536,
          "y": 300
        },
        {
          "x": 527,
          "y": 317
        },
        {
          "x": 544,
          "y": 326
        },
        {
          "x": 560,
          "y": 329
        },
        {
          "x": 574,
          "y": 326
        },
        {
          "x": 589,
          "y": 317
        },
        {
          "x": 582,
          "y": 300
        },
        {
          "x": 574,
          "y": 284
        },
        {
          "x": 566,
          "y": 267
        }
      ],
      "mouth": [
        {
          "x": 513,
          "y": 363
        },
        {
          "x": 526,
          "y": 375
        },
        {
          "x": 541,
          "y": 383
        },
        {
          "x": 558,
          "y": 386
        },
        {
          "x": 574,
          "y": 383
        },
        {
          "x": 589,
          "y": 375
        },
        {
          "x": 600,
          "y": 363
        },
        {
          "x": 586,
          "y": 356
        },
        {
          "x": 572,
          "y": 350
        },
        {
          "x": 559,
          "y": 354
        },
        {
          "x": 545,
          "y": 350
        },
        {
          "x": 529,
          "y": 356
        },
        {
          "x": 528,
          "y": 364
        },
        {
          "x": 543,
          "y": 366
        },
        {
          "x": 558,
          "y": 367
        },
        {
          "x": 572,
          "y": 365
        },
        {
          "x": 586,
          "y": 364
        },
        {
          "x": 586,
          "y": 363
        },
        {
          "x": 572,
          "y": 364
        },
        {
          "x": 558,
          "y": 365
        },
        {
          "x": 543,
          "y": 364
        },
        {
          "x": 528,
          "y": 363
        }
      ],
      "left_eye": [
        {
          "x": 470,
          "y": 242
        },
        {
          "x": 481,
          "y": 247
        },
        {
          "x": 492,
          "y": 249
        },
        {
          "x": 504,
          "y": 248
        },
        {
          "x": 516,
          "y": 245
        },
        {
          "x": 506,
          "y": 237
        },
        {
          "x": 494,
          "y": 233
        },
        {
          "x": 481,
          "y": 235
        }
      ],
      "right_eye": [
        {
          "x": 641,
          "y": 245
        },
        {
          "x": 630,
          "y": 250
        },
        {
          "x": 618,
          "y": 251
        },
        {
          "x": 606,
          "y": 251
        },
        {
          "x": 594,
          "y": 248
        },
        {
          "x": 604,
          "y": 238
        },
        {
          "x": 617,
          "y": 235
        },
        {
          "x": 630,
          "y": 236
        }
      ],
      "left_pupil": [
        {
          "x": 494,
          "y": 239
        }
      ],
      "right_pupil": [
        {
          "x": 618,
          "y": 242
        }
      ],
      "face_profile": [
        {
          "x": 432,
          "y": 240
        },
        {
          "x": 432,
          "y": 266
        },
        {
          "x": 434,
          "y": 291
        },
        {
          "x": 439,
          "y": 316
        },
        {
          "x": 445,
          "y": 341
        },
        {
          "x": 456,
          "y": 364
        },
        {
          "X": 470,
          "Y": 385
        },
        {
          "X": 488,
          "Y": 403
        },
        {
          "X": 508,
          "Y": 418
        },
        {
          "X": 531,
          "Y": 430
        },
        {
          "X": 556,
          "Y": 434
        },
        {
          "X": 580,
          "Y": 429
        },
        {
          "X": 602,
          "Y": 417
        },
        {
          "X": 621,
          "Y": 402
        },
        {
          "X": 638,
          "Y": 384
        },
        {
          "X": 652,
          "Y": 364
        },
        {
          "X": 662,
          "Y": 341
        },
        {
          "X": 669,
          "Y": 318
        },
        {
          "X": 673,
          "Y": 293
        },
        {
          "X": 676,
          "Y": 269
        },
        {
          "X": 676,
          "Y": 244
        }
      ],
      "left_eye_brow": [
        {
          "x": 447,
          "y": 217
        },
        {
          "x": 466,
          "y": 219
        },
        {
          "x": 485,
          "y": 221
        },
        {
          "x": 504,
          "y": 224
        },
        {
          "x": 523,
          "y": 226
        },
        {
          "x": 507,
          "y": 214
        },
        {
          "x": 486,
          "y": 209
        },
        {
          "x": 466,
          "y": 208
        }
      ],
      "right_eye_brow": [
        {
          "x": 662,
          "y": 223
        },
        {
          "x": 644,
          "y": 224
        },
        {
          "x": 626,
          "y": 225
        },
        {
          "x": 608,
          "y": 227
        },
        {
          "x": 590,
          "y": 227
        },
        {
          "x": 606,
          "y": 217
        },
        {
          "x": 626,
          "y": 213
        },
        {
          "x": 646,
          "y": 212
        }
      ]
    }
  ],
  "face_model_version": "3.0"
}

Auktoriseringar

Authorization
string
header
obligatorisk

Rubriker

accept
enum<string>

Specifies the format of the response from the server.

Tillgängliga alternativ:
application/json,
application/x-ndjson

Kropp

application/json
image_url
string
obligatorisk

The link to images need to be processed.

mode
number

Detect the mode. 0 is to detect all the faces that appear, and 1 is to detect the face with the largest area. Default is 0

face_model_version
string

Version of the algorithm model used by the face recognition service.Different algorithm model versions correspond to different face recognition algorithms, the overall effect of the new version will be better than the old version, it is recommended to use the 3.0 version.

need_rotate_detection
number

Whether to enable image rotation recognition. 0 indicates disabled and 1 indicates enabled. The default value is 0.

Svar

OK, the request was successful.

image_width
number

The width of this picture.

image_height
number

The height of this picture.

face_shape_set
string

Five features positioning (face key points) specific information.

face_model_version
string

Version of the algorithm model used for face recognition.